org.wildfly.swarm.config.management.service

## Class ActiveOperation<T extends ActiveOperation<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.service.ActiveOperation<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ActiveOperation<T extends ActiveOperation<T>>
      extends HashMap

  A currently executing operation.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ActiveOperation.AccessMechanism`
    `static class` | `ActiveOperation.ExecutionStatus`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveOperation(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActiveOperation.AccessMechanism` | `accessMechanism()` The mechanism used to submit a request to the server.
    `T` | `accessMechanism(ActiveOperation.AccessMechanism value)` The mechanism used to submit a request to the server.
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `List<Property>` | `address()` The address of the resource targeted by the operation.
    `T` | `address(List<org.jboss.dmr.Property> value)` The address of the resource targeted by the operation.
    `T` | `address(org.jboss.dmr.Property... args)` The address of the resource targeted by the operation.
    `T` | `address(org.jboss.dmr.Property value)` The address of the resource targeted by the operation.
    `String` | `callerThread()` The name of the thread that is executing the operation.
    `T` | `callerThread(String value)` The name of the thread that is executing the operation.
    `Boolean` | `cancelled()` Whether the operation has been cancelled.
    `T` | `cancelled(Boolean value)` Whether the operation has been cancelled.
    `Boolean` | `domainRollout()` True if the operation is a subsidiary request on a domain process other than the one directly handling the original operation, executing locally as part of the rollout of the original operation across the domain.
    `T` | `domainRollout(Boolean value)` True if the operation is a subsidiary request on a domain process other than the one directly handling the original operation, executing locally as part of the rollout of the original operation across the domain.
    `String` | `domainUuid()` Identifier of an overall multi-process domain operation of which this operation is a part, or undefined is this operation is not associated with such a domain operation.
    `T` | `domainUuid(String value)` Identifier of an overall multi-process domain operation of which this operation is a part, or undefined is this operation is not associated with such a domain operation.
    `Long` | `exclusiveRunningTime()` Amount of time the operation has been executing with the exclusive operation execution lock held, or -1 if the operation does not hold the exclusive execution lock.
    `T` | `exclusiveRunningTime(Long value)` Amount of time the operation has been executing with the exclusive operation execution lock held, or -1 if the operation does not hold the exclusive execution lock.
    `ActiveOperation.ExecutionStatus` | `executionStatus()` The current activity of the operation.
    `T` | `executionStatus(ActiveOperation.ExecutionStatus value)` The current activity of the operation.
    `String` | `getKey()`
    `String` | `operation()` The name of the operation, or '' if the caller is not authorized to address the operation's target resource.
    `T` | `operation(String value)` The name of the operation, or '' if the caller is not authorized to address the operation's target resource.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `runningTime()` Amount of time the operation has been executing.
    `T` | `runningTime(Long value)` Amount of time the operation has been executing.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ActiveOperation

          public ActiveOperation(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### accessMechanism

          public ActiveOperation.AccessMechanism accessMechanism()

      The mechanism used to submit a request to the server.

    - #### accessMechanism

          public T accessMechanism(ActiveOperation.AccessMechanism value)

      The mechanism used to submit a request to the server.

    - #### address

          public List<Property> address()

      The address of the resource targeted by the operation. The value in the final element of the address will be '' if the caller is not authorized to address the operation's target resource.

    - #### address

          public T address(List<org.jboss.dmr.Property> value)

      The address of the resource targeted by the operation. The value in the final element of the address will be '' if the caller is not authorized to address the operation's target resource.

    - #### address

          public T address(org.jboss.dmr.Property value)

      The address of the resource targeted by the operation. The value in the final element of the address will be '' if the caller is not authorized to address the operation's target resource.

    - #### address

          public T address(org.jboss.dmr.Property... args)

      The address of the resource targeted by the operation. The value in the final element of the address will be '' if the caller is not authorized to address the operation's target resource.

    - #### callerThread

          public String callerThread()

      The name of the thread that is executing the operation.

    - #### callerThread

          public T callerThread(String value)

      The name of the thread that is executing the operation.

    - #### cancelled

          public Boolean cancelled()

      Whether the operation has been cancelled.

    - #### cancelled

          public T cancelled(Boolean value)

      Whether the operation has been cancelled.

    - #### domainRollout

          public Boolean domainRollout()

      True if the operation is a subsidiary request on a domain process other than the one directly handling the original operation, executing locally as part of the rollout of the original operation across the domain.

    - #### domainRollout

          public T domainRollout(Boolean value)

      True if the operation is a subsidiary request on a domain process other than the one directly handling the original operation, executing locally as part of the rollout of the original operation across the domain.

    - #### domainUuid

          public String domainUuid()

      Identifier of an overall multi-process domain operation of which this operation is a part, or undefined is this operation is not associated with such a domain operation.

    - #### domainUuid

          public T domainUuid(String value)

      Identifier of an overall multi-process domain operation of which this operation is a part, or undefined is this operation is not associated with such a domain operation.

    - #### exclusiveRunningTime

          public Long exclusiveRunningTime()

      Amount of time the operation has been executing with the exclusive operation execution lock held, or -1 if the operation does not hold the exclusive execution lock.

    - #### exclusiveRunningTime

          public T exclusiveRunningTime(Long value)

      Amount of time the operation has been executing with the exclusive operation execution lock held, or -1 if the operation does not hold the exclusive execution lock.

    - #### executionStatus

          public ActiveOperation.ExecutionStatus executionStatus()

      The current activity of the operation.

    - #### executionStatus

          public T executionStatus(ActiveOperation.ExecutionStatus value)

      The current activity of the operation.

    - #### operation

          public String operation()

      The name of the operation, or '' if the caller is not authorized to address the operation's target resource.

    - #### operation

          public T operation(String value)

      The name of the operation, or '' if the caller is not authorized to address the operation's target resource.

    - #### runningTime

          public Long runningTime()

      Amount of time the operation has been executing.

    - #### runningTime

          public T runningTime(Long value)

      Amount of time the operation has been executing.

Copyright © 2017 JBoss by Red Hat. All rights reserved.